function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = RBC_NewsShocks.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(20, 36);
g1(1,10)=1;
g1(1,1)=(-(T(2)*y(18)*y(20)*T(21)));
g1(1,14)=T(25);
g1(1,16)=1;
g1(1,18)=(-(T(1)*T(2)));
g1(1,20)=(-(T(2)*y(18)*y(1)*T(21)));
g1(2,8)=1;
g1(2,1)=(-(T(2)*y(18)*y(20)*T(21)));
g1(2,14)=T(25);
g1(2,18)=(-(T(1)*T(2)));
g1(2,20)=(-(T(2)*y(18)*y(1)*T(21)));
g1(3,20)=(-(params(5)*getPowerDeriv(y(20),1+params(6),1)/(1+params(6))));
g1(3,23)=1;
g1(4,1)=(-(1-y(23)));
g1(4,12)=1;
g1(4,2)=(-(y(16)*T(27)));
g1(4,16)=(-(T(5)+y(16)*T(28)));
g1(4,23)=y(1);
g1(5,3)=(-params(7));
g1(5,19)=1;
g1(5,35)=(-1);
g1(5,7)=(-1);
g1(6,10)=(-1)/(T(6)*T(6));
g1(6,14)=T(26)/(T(6)*T(6));
g1(6,2)=(-(y(22)*(T(27)-(params(10)*y(16)/y(2)*(-y(16))/(y(2)*y(2))+T(4)*params(10)*(-y(16))/(y(2)*y(2))))));
g1(6,16)=(-(T(9)*params(10)*params(1)*y(33)*(-y(30))/(y(16)*y(16))*2*y(30)/y(16)+T(8)*(-y(30))/(y(16)*y(16))+y(22)*(T(28)-(params(10)*y(16)/y(2)*1/y(2)+T(4)*params(10)*1/y(2)))));
g1(6,30)=(-(T(9)*params(10)*params(1)*y(33)*2*y(30)/y(16)*1/y(16)+T(8)*1/y(16)));
g1(6,22)=(-(T(5)-T(4)*params(10)*y(16)/y(2)));
g1(6,33)=(-(T(9)*params(10)*params(1)*T(7)));
g1(7,28)=(-(params(1)*(-T(13))/(T(14)*T(14))));
g1(7,12)=(-(params(1)*y(32)*T(12)*params(4)*y(31)*y(32)*T(23)/T(14)));
g1(7,29)=(-(params(1)*(T(14)*y(32)*T(11)*getPowerDeriv(y(29),1-params(4),1)-T(13)*(-(params(3)*getPowerDeriv(y(29),1+params(2),1)/(1+params(2)))))/(T(14)*T(14))));
g1(7,31)=(-(params(1)*y(32)*T(12)*params(4)*T(10)/T(14)));
g1(7,32)=(-(params(1)*(T(11)*T(12)+y(32)*T(12)*params(4)*y(31)*y(12)*T(23))/T(14)));
g1(7,22)=1;
g1(7,33)=(-(params(1)*(1-y(34))));
g1(7,34)=(-(params(1)*(-y(33))));
g1(8,10)=(-T(18))/(T(6)*T(6));
g1(8,1)=(T(17)+y(1)*T(2)*y(18)*params(4)*y(20)*T(22))/T(6)-T(19)*params(5)*y(22);
g1(8,14)=(T(6)*y(1)*T(16)*T(24)-T(18)*(-T(26)))/(T(6)*T(6));
g1(8,18)=y(1)*T(2)*params(4)*T(15)/T(6);
g1(8,20)=y(1)*T(2)*y(18)*params(4)*y(1)*T(22)/T(6)-params(5)*y(1)*y(22)*getPowerDeriv(y(20),params(6),1);
g1(8,22)=(-(T(19)*y(1)*params(5)));
g1(9,1)=(-(T(20)*y(18)*(1-params(4))*y(20)*T(21)));
g1(9,14)=params(3)*getPowerDeriv(y(14),params(2),1)-T(1)*y(18)*(1-params(4))*getPowerDeriv(y(14),(-params(4)),1);
g1(9,18)=(-(T(20)*T(1)*(1-params(4))));
g1(9,20)=(-(T(20)*y(18)*(1-params(4))*y(1)*T(21)));
g1(10,8)=(-(100*1/y(8)));
g1(10,9)=1;
g1(11,10)=(-(100*1/y(10)));
g1(11,11)=1;
g1(12,12)=(-(100*1/y(12)));
g1(12,13)=1;
g1(13,14)=(-(100*1/y(14)));
g1(13,15)=1;
g1(14,16)=(-(100*1/y(16)));
g1(14,17)=1;
g1(15,18)=(-(100*1/y(18)));
g1(15,19)=1;
g1(16,20)=(-(100*1/y(20)));
g1(16,21)=1;
g1(17,36)=(-1);
g1(17,24)=1;
g1(18,4)=(-1);
g1(18,25)=1;
g1(19,5)=(-1);
g1(19,26)=1;
g1(20,6)=(-1);
g1(20,27)=1;

end
