function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 28);

T = RBC_NewsShocks.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(21) = getPowerDeriv(y(20)*y(1),params(4),1);
T(22) = getPowerDeriv(y(20)*y(1),params(4)-1,1);
T(23) = getPowerDeriv(y(12)*y(32),params(4)-1,1);
T(24) = getPowerDeriv(y(14),1-params(4),1);
T(25) = (-(y(18)*T(1)*T(24)));
T(26) = params(3)*getPowerDeriv(y(14),1+params(2),1)/(1+params(2));
T(27) = (-(params(10)/2*(-y(16))/(y(2)*y(2))*2*T(4)));
T(28) = (-(params(10)/2*2*T(4)*1/y(2)));

end
