function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = RBC_NewsShocks.static_resid_tt(T, y, x, params);
end
residual = zeros(20, 1);
lhs = y(3)+y(9);
rhs = 1+T(3);
residual(1) = lhs - rhs;
lhs = y(1);
rhs = T(3);
residual(2) = lhs - rhs;
lhs = y(16);
rhs = params(5)*y(13)^(1+params(6))/(1+params(6));
residual(3) = lhs - rhs;
lhs = y(5);
rhs = y(9)+y(5)*(1-y(16));
residual(4) = lhs - rhs;
lhs = y(12);
rhs = y(12)*params(7)+x(1)+x(2);
residual(5) = lhs - rhs;
lhs = 1/T(4);
rhs = y(15);
residual(6) = lhs - rhs;
lhs = y(15);
rhs = params(1)*(y(13)*T(7)/T(4)+(1-y(16))*y(15));
residual(7) = lhs - rhs;
lhs = y(5)*T(7)/T(4);
rhs = params(5)*y(5)*y(15)*T(8);
residual(8) = lhs - rhs;
lhs = params(3)*y(7)^params(2);
rhs = T(1)*y(11)*(1-params(4))*T(9);
residual(9) = lhs - rhs;
lhs = y(2);
rhs = 100*log(y(1));
residual(10) = lhs - rhs;
lhs = y(4);
rhs = 100*log(y(3));
residual(11) = lhs - rhs;
lhs = y(6);
rhs = 100*log(y(5));
residual(12) = lhs - rhs;
lhs = y(8);
rhs = 100*log(y(7));
residual(13) = lhs - rhs;
lhs = y(10);
rhs = 100*log(y(9));
residual(14) = lhs - rhs;
lhs = y(12);
rhs = 100*log(y(11));
residual(15) = lhs - rhs;
lhs = y(14);
rhs = 100*log(y(13));
residual(16) = lhs - rhs;
lhs = y(17);
rhs = x(2);
residual(17) = lhs - rhs;
lhs = y(18);
rhs = x(2);
residual(18) = lhs - rhs;
lhs = y(19);
rhs = x(2);
residual(19) = lhs - rhs;
lhs = y(20);
rhs = x(2);
residual(20) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
