function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = RBC_NewsShocks_NoAdjCost.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(20, 1);
lhs = y(10)+y(16);
rhs = T(3);
residual(1) = lhs - rhs;
lhs = y(8);
rhs = T(3);
residual(2) = lhs - rhs;
lhs = y(23);
rhs = params(5)*y(20)^(1+params(6))/(1+params(6));
residual(3) = lhs - rhs;
lhs = y(12);
rhs = y(16)*T(4)+y(1)*(1-y(23));
residual(4) = lhs - rhs;
lhs = y(19);
rhs = params(7)*y(3)+x(it_, 1)+y(7);
residual(5) = lhs - rhs;
lhs = 1/T(5);
rhs = y(22);
residual(6) = lhs - rhs;
lhs = y(22);
rhs = params(1)*(T(9)/T(10)+y(32)*(1-y(33)));
residual(7) = lhs - rhs;
lhs = T(14)/T(5);
rhs = params(5)*y(1)*y(22)*T(15);
residual(8) = lhs - rhs;
lhs = params(3)*y(14)^params(2);
rhs = T(1)*y(18)*(1-params(4))*T(16);
residual(9) = lhs - rhs;
lhs = y(9);
rhs = 100*log(y(8));
residual(10) = lhs - rhs;
lhs = y(11);
rhs = 100*log(y(10));
residual(11) = lhs - rhs;
lhs = y(13);
rhs = 100*log(y(12));
residual(12) = lhs - rhs;
lhs = y(15);
rhs = 100*log(y(14));
residual(13) = lhs - rhs;
lhs = y(17);
rhs = 100*log(y(16));
residual(14) = lhs - rhs;
lhs = y(19);
rhs = 100*log(y(18));
residual(15) = lhs - rhs;
lhs = y(21);
rhs = 100*log(y(20));
residual(16) = lhs - rhs;
lhs = y(24);
rhs = x(it_, 2);
residual(17) = lhs - rhs;
lhs = y(25);
rhs = y(4);
residual(18) = lhs - rhs;
lhs = y(26);
rhs = y(5);
residual(19) = lhs - rhs;
lhs = y(27);
rhs = y(6);
residual(20) = lhs - rhs;

end
