function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 15);

T(1) = (y(20)*y(1))^params(4);
T(2) = y(14)^(1-params(4));
T(3) = y(18)*T(1)*T(2);
T(4) = y(16)/y(2)-1;
T(5) = 1-params(10)/2*T(4)^2;
T(6) = y(10)-params(3)*y(14)^(1+params(2))/(1+params(2));
T(7) = (y(30)/y(16))^2;
T(8) = params(10)*params(1)*y(32)*T(7);
T(9) = y(30)/y(16)-1;
T(10) = (y(20)*y(12))^(params(4)-1);
T(11) = params(4)*y(31)*T(10);
T(12) = y(29)^(1-params(4));
T(13) = y(20)*T(11)*T(12);
T(14) = y(28)-params(3)*y(29)^(1+params(2))/(1+params(2));
T(15) = y(14)^(-params(4));

end
